## units-filter 1.0-3

=== Makefile ===
DESTDIR=

all :
	gzip -9 -c units-filter.1 > units-filter.1.gz
	(cd src; ${MAKE} all)
test : all
	(cd src; ${MAKE} test)

clean :
	rm -f *~ *stamp *.gz
	(cd src; ${MAKE} clean)

install : all
	install -m 775 -d ${DESTDIR}/usr/bin
	install -m 775 -d ${DESTDIR}/usr/share/man/man1
	install -m 755 --strip src/units-filter ${DESTDIR}/usr/bin
	install -m 644 units-filter.1.gz ${DESTDIR}/usr/share/man/man1

uninstall :
	rm -f ${DESTDIR}/usr/bin/units-filter
	rm -f ${DESTDIR}/usr/share/man/man1/units-filter.1.gz

=== src/Makefile ===
CC = gcc
all : units-filter

test : all
	units-test

units-filter : unites.o
	${CC} -g -o units-filter unites.o -lfl

unites.o : unites.c
	${CC} -g -c unites.c

unites.c : unites.l unites.y unites.h
	flex  unites.l
	bison  --verbose -o unites.c unites.y

clean :
	rm -f *~ unites.c *.o lex.yy.c *.output units-filter

=== debian/changelog ===
units-filter (1.0-3) unstable; urgency=low

  * removed hard dependance on libc6 without release number
    Closes: #215949

 -- Georges Khaznadar <gekhajofour@netinfo.fr>  Sun, 25 Jan 2004 19:23:07 +0100

units-filter (1.0-2) unstable; urgency=low

  * fixed a bug in debian/control : non-ascii character  is no more used. 

 -- Georges Khaznadar <gekhajofour@netinfo.fr>  Sun, 21 Sep 2003 01:54:38 +0200

units-filter (1.0-1) unstable; urgency=low

  * strcpy,strcat => strncpy, strncat : buffers should be secure.
  * added "a" (are) unity (1 are = 100 m).

 -- Georges Khaznadar <gekhajofour@netinfo.fr>  Tue, 23 Jul 2002 19:30:05 +0200

units-filter (0.9.7-1) unstable; urgency=low

  * Initial Release.

 -- Georges Khaznadar <gekhajofour@netinfo.fr>  Tue, 30 Apr 2002 19:41:41 +0200

## units-filter 2.8

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 install : all
 	install -m 775 -d ${DESTDIR}/usr/bin
 	install -m 775 -d ${DESTDIR}/usr/share/man/man1
-	install -m 755 --strip src/units-filter ${DESTDIR}/usr/bin
+	install -m 755 src/units-filter ${DESTDIR}/usr/bin
 	install -m 644 units-filter.1.gz ${DESTDIR}/usr/share/man/man1
 
 uninstall :

=== src/Makefile ===
--- 
+++ 
@@ -2,10 +2,10 @@
 all : units-filter
 
 test : all
-	units-test
+	sh units-test
 
 units-filter : unites.o
-	${CC} -g -o units-filter unites.o -lfl
+	${CC} -g -o units-filter unites.o -lfl -lm
 
 unites.o : unites.c
 	${CC} -g -c unites.c

=== debian/changelog ===
units-filter (2.8) unstable; urgency=low

  * removed the option --strip from the Makefile.
    Closes: 438234

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 24 Aug 2007 17:17:34 +0200

units-filter (2.7) unstable; urgency=low

  * modified the behavior with the option -o: when then output string 
    contains e+00, the substring e+00 is erased.

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 27 May 2007 17:03:57 +0200

units-filter (2.6-1) unstable; urgency=low

  * added a new feature, to consider physical quantities with a given
    rate of relative precision: syntax <quantity>~percent, to mean a
    physical quantity plus or minus percent % tolerance. The syntax
    <quantity>+-percent% is also allowed, which adds some rentrance.
  * added a new option switch, -l, to have an output in LaTeX language.

 -- Georges Khaznadar <georgesk@ofset.org>  Tue, 17 Oct 2006 19:41:28 +0200

units-filter (2.5-1) unstable; urgency=low

  * repackaged as a non-native package
    Closes: #230993

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 25 Jun 2006 12:59:02 +0200

units-filter (2.5) unstable; urgency=low

  * allowed some spaces in the representation of real numbers. 
  * fixed some issues with strncat in unites.y
  * added a syntax for wanted units in the output string
  * fixed a bug with non-SI units at a negative power
  * fixed a bug with the unit h

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 15 Jun 2006 09:30:26 +0200

units-filter (2.4) unstable; urgency=low

  * recompiled with the new version of flex, see 
    http://www.debian.org/security/2006/dsa-1020)

 -- Georges Khaznadar <georgesk@ofset.org>  Sun,  2 Apr 2006 16:49:55 +0200

units-filter (2.3) unstable; urgency=low

  * fixed the canonical output when some significative number of digits is
    expected: an automatic rounding is made.

 -- Georges Khaznadar <gekhajofour@netinfo.fr>  Sun,  5 Dec 2004 23:49:26 +0100

units-filter (2.2) unstable; urgency=low

  * added the possibility to pass an option via the environment as suggested
    by Gang XIAO. 

 -- Georges Khaznadar <gekhajofour@netinfo.fr>  Mon, 29 Nov 2004 00:42:30 +0100

units-filter (2.1) unstable; urgency=low

  * added an option to output a simple canonical expression with basic units
    of the International System.
  * added support for usual units as N, J, W, etc.
  * fixed a bug about numbers beginning with a '+' or '-' sign.

 -- Georges Khaznadar <gekhajofour@netinfo.fr>  Sun, 21 Nov 2004 16:58:42 +0100

units-filter (2.0) unstable; urgency=low

  * added a syntax to express significative numbers : suffix "#n"

 -- Georges Khaznadar <gekhajofour@netinfo.fr>  Sat, 20 Nov 2004 22:36:53 +0100

=== debian/control ===
Source: units-filter
Section: science
Priority: optional
Maintainer: Georges Khaznadar <georgesk@ofset.org>
Build-Depends: debhelper (>> 3.0.0), flex, bison
Standards-Version: 3.7.2

Package: units-filter
Architecture: any
Depends: ${shlibs:Depends} ${misc:Depends}
Suggests : wims
Description: Parser for expressions concerning physical values
 Units-filter is a basic standalone filter written in C language,
 flex and bison. It inputs strings like "1.5e3 nN.m.s^-1" (it could
 be the time growth ratio of a torque) and outputs the value in
 standard SI unit, followed by the physical dimension of this value.
 .
  example :~/src$ echo 1.5e3 nN.m.s^-1 | units-filter
  1.5e-06   2   1  -3   0   0   0   0    0    0
 .
                                   2     -3
  which means : 1.5e-06 (SI unit) m .kg.s
 .
 This parser can be embedded in educational test systems, in order to
 analyze a student's answer to a problem of physics or chemistry.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=4



ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/units-filter.sgml > units-filter.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/units-filter.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/units-filter


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## units-filter 3.0

=== src/Makefile ===
CC = gcc

RECODE_SUPPORT = $(shell if grep -q Debian /etc/issue; then echo -DRECODE_SUPPORT=1; else echo; fi)

LIBS = $(shell if grep -q Debian /etc/issue; then echo -lfl -lm -lrecode; else echo -lfl -lm; fi)

all : units-filter

test : all
	sh units-test

units-filter : unites.o
	${CC} -g -o units-filter unites.o $(LIBS)

unites.o : unites.c
	${CC} -g -c $(RECODE_SUPPORT) unites.c

unites.c : unites.l unites.y unites.h
	flex  unites.l
	bison  --verbose -o unites.c unites.y

clean :
	rm -f *~ unites.c *.o lex.yy.c *.output units-filter

## units-filter 3.1

=== src/Makefile ===
CC = gcc
CXX = g++
#CXXFLAGS= -g -O1
CXXFLAGS= -g


RECODE_SUPPORT = $(shell if grep -q Debian /etc/issue; then echo -DRECODE_SUPPORT=1; else echo; fi)

LIBS = $(shell if grep -q Debian /etc/issue; then echo -lm -lrecode -lgmp -lgmpxx; else echo  -lm -lgmp -lgmpxx; fi)

all : units-filter

test : all
	sh units-test

units-filter : unitesparser.o
	${CXX} $(CXXFLAGS) $(LIBS) -o units-filter unitesparser.o

unitesparser.o : uniteslex.cc unitesparser.cc
	${CXX} $(CXXFLAGS) -c $(RECODE_SUPPORT) unitesparser.cc 

uniteslex.cc : unites.l unites.y unites.h
	flex  -o uniteslex.cc unites.l

unitesparser.cc: unites.y
	bison  --verbose -o unitesparser.cc unites.y

clean :
	rm -f *~ uniteslex.cc unitesparser.cc *.o  *.output units-filter

## units-filter 3.3

=== src/Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	${CXX} $(CXXFLAGS) -c $(RECODE_SUPPORT) unitesparser.cc 
 
 uniteslex.cc : unites.l unites.y unites.h
-	flex  -o uniteslex.cc unites.l
+	flex  -ouniteslex.cc unites.l
 
 unitesparser.cc: unites.y
 	bison  --verbose -o unitesparser.cc unites.y

=== debian/changelog ===
units-filter (3.3-2) unstable; urgency=low

  * modified src/Makefile, thanks to Ilya Barygin's patch.
    Closes: #632567
  * simplified the file debian/rules.
  * switched to source format 3.0 (quilt).

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 03 Jul 2011 21:30:09 +0200

units-filter (3.3-1) unstable; urgency=low

  * introduced the type "decimal" which differs from "double" to get rid of
    the false digitalization for non-integers. Removed any use of functions
    which are based on the type "double". This should definitely close the
    bugs related to significative digits.
  * updated Standards-Version: 3.9.1 -> 3.9.2

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 24 Jun 2011 18:04:54 +0200

units-filter (3.2-1) unstable; urgency=low

  * added as a possibilty to replace the symbol "e" or "E" by "*10^" in
    float representation of input numbers.

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 02 Mar 2011 21:54:58 +0100

units-filter (3.1-2) unstable; urgency=low

  * modified the Makefile, now the invokation of flex can be used even with
    older versions of flex.
  * upgraded Standards-Version to 3.9.1

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 15 Aug 2010 20:19:50 +0200

units-filter (3.1-1) unstable; urgency=low

  * fixed a bug about the output with negative numbers
  * fixed a bug about the output with zero numbers

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 10 Dec 2009 18:48:32 +0100

units-filter (3.0-3) unstable; urgency=low

  * updated lintian and fixed the warning about standards-version

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 29 Oct 2009 14:11:08 +0100

units-filter (3.0-2) unstable; urgency=low

  * fixed a bug which was not detected by the test suite: the written
    output for numbers lesser than 1 was false. Integrated one new test
    in the suite.
  * modified the routine used to round the numbers. As many examples
    made by teachers use integer data, and divisions by 2, rounding
    numbers whose mantissa should be 0.5 is not unfrequent. 
    Unfortunately computations with floats (for example with the
    interpreter of Wims) often yelds unprecise results. This may cause
    troublesome behaviors, when a mantissa which should be 0.5 is actually
    0.4999999999999998 or so. Therefore, the routine used to round numbers
    adds the fraction 1000000001/2000000000 before making a 
    trucation.

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 06 Sep 2009 16:30:16 +0200

units-filter (3.0-1) unstable; urgency=low

  * introduced multiprecision calculus, in order to avoid errors when 
    doing truncations (for exemple when specifying the number of 
    significant digits)
  * recoded sources from latin1 to utf8

 -- Georges Khaznadar <georgesk@ofset.org>  Mon, 31 Aug 2009 11:31:43 +0200

units-filter (2.9-7) unstable; urgency=low

  * added a dependency on docbook-xsl, thanks to José L. Redrejo 
    Rodríguez
  * replaced some spaces by unbreakable spaces in debian/control
    to get rid of a lintian warning about redundancy of the zeros.

 -- Georges Khaznadar <georgesk@ofset.org>  Tue, 30 Jun 2009 11:40:29 +0200

units-filter (2.9-6) unstable; urgency=low

  * updated the compat level, fixed a typo in the file debian/control,
    rewritten the manpage with docbook (xml)

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 28 Jun 2009 22:59:33 +0200

units-filter (2.9-5) unstable; urgency=low

  * modified unites.y and Makefile so it is possible to suppress the
    support for UTF8.
  * added the profiles of the functions trunc and round to avoid a 
    warning from gcc and have these functione properly managed.

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 15 Jun 2008 23:49:41 +0200

units-filter (2.9-4) unstable; urgency=low

  * fixed a segfault bug when the environment variable LC_ALL was not 
    set.

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 16 Dec 2007 20:18:00 +0100

units-filter (2.9-3) unstable; urgency=low

  * fixed the definition of eV : it is now a unit of energy (=1.6e-19 J)
  * modified the routine to simplify the output of floating numbers.
  * now the default behavior with the option -o is to display the unit
    given in the input (if it exists).
  * modified the test suite accordingly.

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 16 Dec 2007 19:43:27 +0100

units-filter (2.9-2) unstable; urgency=low

  * fixed a nasty bug which made a segfault when some units were used

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 14 Dec 2007 11:24:07 +0100

units-filter (2.9-1) unstable; urgency=low

  * Modified the package to make it non-native, as it can be used
    outside Debian.
  * Added some code to take in account the necessary recoding of some
    units for non-ASCII environments, like UTF-8

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 05 Dec 2007 21:54:55 +0100

## units-filter 3.5

=== Makefile ===
--- 
+++ 
@@ -1,13 +1,13 @@
 DESTDIR=
 
-all :
+all :   units-filter.1
 	gzip -9 -c units-filter.1 > units-filter.1.gz
 	(cd src; ${MAKE} all)
 test : all
 	(cd src; ${MAKE} test)
 
 clean :
-	rm -f *~ *stamp *.gz
+	rm -f *~ *stamp *.gz *.1
 	(cd src; ${MAKE} clean)
 
 install : all
@@ -19,3 +19,10 @@
 uninstall :
 	rm -f ${DESTDIR}/usr/bin/units-filter
 	rm -f ${DESTDIR}/usr/share/man/man1/units-filter.1.gz
+
+units-filter.1: manpage.xml
+	xsltproc -''-nonet -''-param man.charmap.use.subset "0" \
+	-''-param make.year.ranges "1" \
+	-''-param make.single.year.ranges "1" \
+	/usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl \
+	manpage.xml

=== src/Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 	sh units-test
 
 units-filter : unitesparser.o
-	${CXX} $(CXXFLAGS) $(LIBS) -o units-filter unitesparser.o
+	${CXX} $(CXXFLAGS) -o units-filter unitesparser.o $(LIBS)
 
 unitesparser.o : uniteslex.cc unitesparser.cc
 	${CXX} $(CXXFLAGS) -c $(RECODE_SUPPORT) unitesparser.cc 
@@ -26,4 +26,4 @@
 	bison  --verbose -o unitesparser.cc unites.y
 
 clean :
-	rm -f *~ uniteslex.cc unitesparser.cc *.o  *.output units-filter
+	rm -f *~ uniteslex.cc unitesparser.cc *.o  *.output units-filter tmp.*

=== debian/changelog ===
units-filter (3.5-3) unstable; urgency=low

  * Modified my DEBEMAIL
  * fixed a conversion not allowed by the last version of gcc. Closes:#707460
  * updated Standards-Version and compat level
  * fixed the Suggests: field in control file
  * introduced hardening-wrapper in the rules and build-dependencies
  * fixed src/unites.y: added a format string for printf
  * fixed src/Makefile to take in account fortifying options in CXXFLAGS

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 12 May 2013 19:52:37 +0200

units-filter (3.5-2) unstable; urgency=low

  * fixed typos in the manpage, thanks to A. Costa's patch.
    Closes: #649228

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 19 Nov 2011 14:00:30 +0100

units-filter (3.5-1) unstable; urgency=low

  * fixed a bug which appeared with data containing too much digits.
  * added unitary tests for this feature

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 27 Aug 2011 20:46:11 +0200

units-filter (3.4-1) unstable; urgency=low

  * fixed a bug about significative digit guessing when the option -s
    is active and no explicite number of significatif digits is entered.
  * added unitary tests for this feature

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 25 Aug 2011 15:38:18 +0200

units-filter (3.3-3) unstable; urgency=low

  * added missing ";" in unites.y, thanks to Bernadette RIOU's bugreport

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 18 Aug 2011 18:31:36 +0200

=== debian/control ===
# -*- coding: utf-8 -*-
Source: units-filter
Section: science
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper (>> 9), flex, bison, librecode-dev,
 hardening-wrapper, docbook-xsl, xsltproc, libgmp3-dev
Standards-Version: 3.9.4

Package: units-filter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: wims
Description: Parser for expressions concerning physical values
 Units-filter is a basic standalone filter written in C language,
 flex and bison. It inputs strings like "1.5e3 nN.m.s^-1" (it could
 be the time growth ratio of a torque) and outputs the value in
 standard SI unit, followed by the physical dimension of this value.
 .
  example :~/src$ echo 1.5e3 nN.m.s^-1 | units-filter
  1.5e-06   2   1  -3   0   0   0   0    0    0
 .
                                   2     -3
  which means : 1.5e-06 (SI unit) m .kg.s
 .
 This parser can be embedded in educational test systems, in order to
 analyze a student's answer to a problem of physics or chemistry.

## units-filter 3.7

=== debian/changelog ===
units-filter (3.7-1) unstable; urgency=medium

  * rewrote the code to depend no longer on libmpfrc++-dev. 
    + Created a Decimal class implementing few operations, based on libgmp
    + Restored the dependency on libgmp-dev

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 22 Aug 2014 16:22:10 +0200

units-filter (3.6-1) unstable; urgency=medium

  * improved the comments in src/unites.y; translated every comment in English.
  * rewrote the code to use libmpfrc++ instead of libgmp3
  * changed the build-dependencies accordingly
  * upgraded Standards-Version to 3.9.5

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 05 Apr 2014 18:23:09 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Priority: optional
 Maintainer: Georges Khaznadar <georgesk@debian.org>
 Build-Depends: debhelper (>> 9), flex, bison, librecode-dev,
- hardening-wrapper, docbook-xsl, xsltproc, libgmp3-dev
-Standards-Version: 3.9.4
+ hardening-wrapper, docbook-xsl, xsltproc, libgmp-dev
+Standards-Version: 3.9.5
 
 Package: units-filter
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_HARDENING=1

%:
	dh $@

## units-filter 3.9

=== debian/changelog ===
units-filter (3.9-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 17:01:39 +0100

units-filter (3.9-1) unstable; urgency=medium

  * new upstream release : more units recognized.
  * dropped the build-dependency on sphinx stuff since the documentation
    is build by upstream.

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 20 Apr 2018 17:41:25 +0200

units-filter (3.8-1) unstable; urgency=medium

  * new upstream release, which changes the source of the documentation:
    sphinx is used to generate both man pages and html docs.
  * removed build-dependencies for xsltproc, added others for sphinx

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 20 Apr 2018 15:50:46 +0200

units-filter (3.7-4) unstable; urgency=medium

  * added VCS stuff
  * upgraded Standards-Version to 4.1.4, dh and compat to 10.

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 20 Apr 2018 15:17:28 +0200

units-filter (3.7-3) unstable; urgency=medium

  * added a build-dependency on libfl-dev; Closes: #846453

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 02 Dec 2016 20:14:23 +0100

units-filter (3.7-2) unstable; urgency=medium

  * dropped the dependency on hardening-wrapper. Closes: #836659
  * upgraded Standards-Version to 3.9.8

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 14 Sep 2016 15:50:13 +0200

## units-filter 4.0

=== Makefile ===
DESTDIR=

MANSOURCES = $(shell ls doc/source/*.rst)
DOCDIR = $(DESTDIR)/usr/share/doc/units-filter/html

all :   units-filter.1 units-filter.html
	gzip -9 -c units-filter.1 > units-filter.1.gz
	(cd src; ${MAKE} all)
test : all
	(cd src; ${MAKE} test)

clean :
	rm -f *~ *stamp *.gz
	(cd src; ${MAKE} clean)
	(cd doc; ${MAKE} clean)

install : all
	install -m 775 -d ${DESTDIR}/usr/bin
	install -m 775 -d ${DESTDIR}/usr/share/man/man1
	install -m 755 src/units-filter ${DESTDIR}/usr/bin
	install -m 644 units-filter.1.gz ${DESTDIR}/usr/share/man/man1
	install -m 775 -d $(DOCDIR)
	cp -a units-filter.html _static $(DOCDIR)
	# replace a few JS files by symlinks for a Debian build
	if grep -q Debian /etc/issue; then \
	  rm -f $(DOCDIR)/_static/jquery.js; \
	  ln -s /usr/share/javascript/jquery/jquery.js $(DOCDIR)/_static; \
	  rm -f $(DOCDIR)/_static/underscore.js; \
	  ln -s /usr/share/javascript/underscore/underscore.js $(DOCDIR)/_static; \
	fi

uninstall :
	rm -f ${DESTDIR}/usr/bin/units-filter
	rm -f ${DESTDIR}/usr/share/man/man1/units-filter.1.gz
	rm -rf $(DOCDIR)

units-filter.1: $(MANSOURCES) 
	make -C doc man
	cp doc/build/man/units-filter.1 .

units-filter.html:  $(MANSOURCES)
	make -C doc singlehtml
	cp doc/build/singlehtml/index.html $@
	cp -a doc/build/singlehtml/_static .

=== debian/changelog ===
units-filter (4.0-1) unstable; urgency=medium

  * new upstream: fixed a warning about returning a temporary variable,
    tanks to Dominique Bernardi & Bernadette Perrin-Riou
  * upgraded Standards-Version: 4.5.0, debhelper-compat (=12)

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 24 Sep 2020 14:04:19 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,12 @@
 Section: science
 Priority: optional
 Maintainer: Georges Khaznadar <georgesk@debian.org>
-Build-Depends: debhelper (>> 9), flex, bison, librecode-dev,
- hardening-wrapper, docbook-xsl, xsltproc, libgmp-dev
-Standards-Version: 3.9.5
+Build-Depends: debhelper-compat (=12),
+ flex, bison,
+ libgmp-dev, libfl-dev,  librecode-dev
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/georgesk/units-filter
+Vcs-Git: https://salsa.debian.org/georgesk/units-filter.git
 
 Package: units-filter
 Architecture: any

## units-filter 4.2

=== Makefile ===
--- 
+++ 
@@ -2,10 +2,15 @@
 
 MANSOURCES = $(shell ls doc/source/*.rst)
 DOCDIR = $(DESTDIR)/usr/share/doc/units-filter/html
+SUBDIRS = gui
 
 all :   units-filter.1 units-filter.html
 	gzip -9 -c units-filter.1 > units-filter.1.gz
 	(cd src; ${MAKE} all)
+	for d in $(SUBDIRS); do \
+	  $(MAKE) $@ -C $$d DESTDIR=$(DESTDIR); \
+	done
+
 test : all
 	(cd src; ${MAKE} test)
 
@@ -13,6 +18,9 @@
 	rm -f *~ *stamp *.gz
 	(cd src; ${MAKE} clean)
 	(cd doc; ${MAKE} clean)
+	for d in $(SUBDIRS); do \
+	  $(MAKE) $@ -C $$d DESTDIR=$(DESTDIR); \
+	done
 
 install : all
 	install -m 775 -d ${DESTDIR}/usr/bin
@@ -28,6 +36,9 @@
 	  rm -f $(DOCDIR)/_static/underscore.js; \
 	  ln -s /usr/share/javascript/underscore/underscore.js $(DOCDIR)/_static; \
 	fi
+	for d in $(SUBDIRS); do \
+	  $(MAKE) $@ -C $$d DESTDIR=$(DESTDIR); \
+	done
 
 uninstall :
 	rm -f ${DESTDIR}/usr/bin/units-filter

=== gui/Makefile ===
DESTDIR =
UI_FILES = $(shell ls *.ui)
RC_FILES = $(shell ls *.qrc)
RST_HELPFILES = $(shell ls userGuide.*.rst about.*.rst)

UI_PY = $(patsubst %.ui, ui_%.py, $(UI_FILES))
RC_PY = $(patsubst %.qrc, %_rc.py, $(RC_FILES))

HTML_HELPFILES = $(patsubst %.rst,%.html, $(RST_HELPFILES))

SUBDIRS = lang

all: $(UI_PY) $(RC_PY) $(HTML_HELPFILES)
	for d in $(SUBDIRS); do \
	  $(MAKE) -C $$d $@ DESTDIR=$(DESTDIR); \
	done

ui_%.py: %.ui
	pyuic5 -o $@ $<

%_rc.py: %.qrc
	pyrcc5 -o $@ $<

%.html: %.rst
	rst2html $< > $@

clean:
	rm -f *~
	rm -f $(UI_PY) $(RC_PY) $(HTML_HELPFILES)
	for d in $(SUBDIRS); do \
	  $(MAKE) -C $$d $@ DESTDIR=$(DESTDIR); \
	done

install: all
	# install master, other Python files, and html documents
	install -d $(DESTDIR)/usr/share/units-filter
	install -m 755 master $(DESTDIR)/usr/share/units-filter/
	install -m 644 *.py $(DESTDIR)/usr/share/units-filter/
	install -m 644 $(HTML_HELPFILES) $(DESTDIR)/usr/share/units-filter/
	# install the manpage
	install -d $(DESTDIR)/usr/share/man/man1
	install -m 644 units-master.1.gz $(DESTDIR)/usr/share/man/man1
	# install units-master
	install -d $(DESTDIR)/usr/bin
	install -m 755 units-master $(DESTDIR)/usr/bin/
	# install the logo
	install -d $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/
	install -m 644 units.svg $(DESTDIR)/usr/share/icons/hicolor/scalable/apps/
	# and finally, the desktop file
	install -d $(DESTDIR)/usr/share/applications
	install -m 644 units-master.desktop $(DESTDIR)/usr/share/applications
	for d in $(SUBDIRS); do \
	  $(MAKE) -C $$d $@ DESTDIR=$(DESTDIR); \
	done

.PHONY: all clean install

=== src/Makefile ===
CC = gcc
CXX = g++
#CXXFLAGS= -g -O1
CXXFLAGS+= -g -Wall


RECODE_SUPPORT = $(shell if grep -q Debian /etc/issue; then echo -DRECODE_SUPPORT=1; else echo; fi)

LIBS = $(shell if grep -q Debian /etc/issue; then echo -lm -lrecode -lgmp; else echo  -lm -lgmp; fi)

all : units-filter

test : all
	sh units-test

units-filter : unitesparser.o decimal.o
	${CXX} $(CXXFLAGS) -o units-filter unitesparser.o decimal.o $(LIBS)

decimal.o: decimal.cc decimal.h
	${CXX} $(CXXFLAGS) -c decimal.cc
unitesparser.o : uniteslex.cc unitesparser.cc
	${CXX} $(CXXFLAGS) -c $(RECODE_SUPPORT) unitesparser.cc 

uniteslex.cc : unites.l unites.y unites.h
	flex  -ouniteslex.cc unites.l

unitesparser.cc: unites.y
	bison  --verbose -o unitesparser.cc unites.y

clean :
	rm -f *~ uniteslex.cc unitesparser.cc *.o  *.output units-filter tmp.*

=== debian/changelog ===
units-filter (4.2-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use versioned copyright format URI.
  * Set upstream metadata fields: Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

  [Georges Khaznadar]
  * bumped Standards-Version: 4.6.2
  
 -- Georges Khaznadar <georgesk@debian.org>  Tue, 21 Feb 2023 19:25:13 +0100

units-filter (4.2-3) unstable; urgency=medium

  * fixed the missing path $(DESTDIR_TXT)/usr/share/doc/units-filter/html
    when a symlink to /usr/share/sphinx/themes/basic/static must be created.
    Closes: #999652

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 14 Nov 2021 19:24:51 +0100

units-filter (4.2-2) unstable; urgency=medium

  * no changes; this is for a source-only upload.

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 13 Nov 2021 17:11:11 +0100

units-filter (4.2-1) unstable; urgency=medium

  * new upstream version: impleted units VA and var, which are normalized
    by the International system, as volt.ampere and reactive volt.ampere

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 24 Sep 2021 17:42:12 +0200

units-filter (4.1-1) unstable; urgency=medium

  * new upstream version : features a new GUI
  * rewritten debian/copyright (DEP5 style), mentioned the three icons
    borrowed from KDE Oxygen development group and used for the GUI.
  * referenced README.rst and LISEZMOI.rst instead of README, LISEZMOI;
    Closes: #992508
  * bumped a build-dependency: debhelper-compat (=13), and debian policy,
    Standards-Version: 4.5.1
  * build-dependecies: added dh-python, python3, pyqt5-dev-tools,
    python3-docutils, qttools5-dev-tools, qt5-qmake
  * dependencies for the GUI: python3-pyqt5, units-filter, texlive-latex-base,
    pdf2svg, librsvg2-bin
  * separated the package units-master, which provides the GUI application

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 18 Aug 2021 14:43:52 +0200

units-filter (4.0.1-1) unstable; urgency=medium

  * slight change in upstream : rebuilt the manpage
  * added dependencies on libjs-jquery, libjs-underscore: Closes: #989325

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 18 Aug 2021 11:28:36 +0200

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,23 @@
 Section: science
 Priority: optional
 Maintainer: Georges Khaznadar <georgesk@debian.org>
-Build-Depends: debhelper-compat (=12),
+Build-Depends: debhelper-compat (=13),
  flex, bison,
- libgmp-dev, libfl-dev,  librecode-dev
-Standards-Version: 4.5.0
+ libgmp-dev, libfl-dev,  librecode-dev,
+ dh-python, python3,
+ pyqt5-dev-tools,
+ qttools5-dev-tools,
+ qt5-qmake,
+ python3-docutils
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/georgesk/units-filter
 Vcs-Git: https://salsa.debian.org/georgesk/units-filter.git
 
 Package: units-filter
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends},
+ libjs-jquery, libjs-underscore
+Recommends: python3-sphinx
 Suggests: wims
 Description: Parser for expressions concerning physical values
  Units-filter is a basic standalone filter written in C language,
@@ -29,3 +36,19 @@
  This parser can be embedded in educational test systems, in order to
  analyze a student's answer to a problem of physics or chemistry.
 
+Package: units-master
+Architecture: all
+Depends: ${misc:Depends},
+ ${python3:Depends},
+ python3,
+ python3-pyqt5,
+ units-filter,
+ texlive-latex-base,
+ pdf2svg,
+ librsvg2-bin
+Suggests: wims
+Description: Powerful units converter with a GUI
+ Units-master is a graphic application with three features:
+  - check the syntax of a physical quantity, like "25 m/s", or "1.2 µA"
+  - perform conversions, like "1.2 µA" to "1.2e-3 mA"
+  - render physical quantities to plain LaTeX, PNG, SVG.

## units-filter 4.2.1

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/units-filter.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/units-filter.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/units-filter"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/units-filter"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

=== gui/Makefile ===
--- 
+++ 
@@ -14,6 +14,7 @@
 	for d in $(SUBDIRS); do \
 	  $(MAKE) -C $$d $@ DESTDIR=$(DESTDIR); \
 	done
+	cat units-master.1 | gzip -c9 > units-master.1.gz
 
 ui_%.py: %.ui
 	pyuic5 -o $@ $<
@@ -30,6 +31,7 @@
 	for d in $(SUBDIRS); do \
 	  $(MAKE) -C $$d $@ DESTDIR=$(DESTDIR); \
 	done
+	rm -f units-master.1.gz
 
 install: all
 	# install master, other Python files, and html documents

=== gui/lang/Makefile ===
DESTDIR =
TS_FILES = $(shell ls *.ts)
QM_FILES = $(patsubst %.ts, %.qm, $(TS_FILES))
SOURCES = $(shell ls ../*.py ../master)
FORMS = $(shell ls ../*.ui)
PYLUPDATE ?= pylupdate5
export LANG=C

all: $(QM_FILES)

$(QM_FILES): $(TS_FILES)
	lrelease -qt5 units-master.pro

$(TS_FILES): units-master.pro
	$(PYLUPDATE) units-master.pro

units-master.pro: $(SOURCES)
	@echo "# GENERATED FILE, DO NOT EDIT" > $@
	@echo "SOURCES = $(SOURCES)" >> $@
	@echo "FORMS = $(FORMS)" >> $@
	@echo "TRANSLATIONS = $(TS_FILES)"  >> $@

clean:
	rm -f *~ $(QM_FILES) units-master.pro lrelease.log *.svg status.txt

install: all
	install -d $(DESTDIR)/usr/share/units-filter/lang
	install -m 644 $(QM_FILES) $(DESTDIR)/usr/share/units-filter/lang

.PHONY: all clean install

=== debian/changelog ===
units-filter (4.2.1-1) unstable; urgency=medium

  * new upstream : fix issues with the manpage, updated the translation
    Closes: #1046564

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 13 Nov 2023 17:56:14 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  qttools5-dev-tools,
  qt5-qmake,
  python3-docutils
-Standards-Version: 4.6.2
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/georgesk/units-filter
 Vcs-Git: https://salsa.debian.org/georgesk/units-filter.git

=== debian/rules ===
--- 
+++ 
@@ -12,4 +12,15 @@
 export DEB_BUILD_HARDENING=1
 
 %:
-	dh $@ 
+	dh $@ --with python3
+
+DESTDIR_GUI = debian/units-master
+DESTDIR_TXT = debian/units-filter
+
+override_dh_fixperms:
+	dh_fixperms
+	# replace one directory by a symlink to sphinx
+	mkdir -p $(DESTDIR_TXT)/usr/share/doc/units-filter/html
+	rm -rf $(DESTDIR_TXT)/usr/share/doc/units-filter/html/_static
+	ln -s ../../../sphinx/themes/basic/static \
+	  $(DESTDIR_TXT)/usr/share/doc/units-filter/html/_static
